package com.cuit.solarenergy.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Author: Tjb
 * @CreateTime: 2024-10-16  12:11
 * @Description:
 * @Version: 1.0
 */
@Component
@Data
@ApiModel(value = "MapConfig", description = "地图信息配置类")
public class MapConfig {

    @ApiModelProperty(value = "地图类型")
    @Value("${ditu.type}")
    private String type;

    @ApiModelProperty(value = "地形晕渲")
    @Value("${ditu.shading}")
    private String shading;

    @ApiModelProperty(value = "地形注记")
    @Value("${ditu.note}")
    private String note;

    @ApiModelProperty(value = "经纬度范围")
    @Value("${ditu.latlonbbox}")
    private String latlonbbox;

}
