package com.cuit.solarenergy.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
/**
 * GeoServer数据服务
 *
 *
 * @author pyj
 */

@Configuration
@Data
public class MyGeoServerConfig {
    /**
     * geoserver地址
     */
    @Value("${mygeoserverconfig.geoserverurl}")
    private String geoserverurl;
    /**
     * geoserver API地址
     */
    @Value("${mygeoserverconfig.geoserverapiurl}")
    private String geoserverapiurl;
    /**
     * geoserver用户名
     */
    @Value("${mygeoserverconfig.username}")
    private String username;
    /**
     * geoserver密码
     */
    @Value("${mygeoserverconfig.password}")
    private String password;

    /**
     * geoserver数据的路径
     */
    @Value("${mygeoserverconfig.geoserverpath}")
    private String geoServerPath;

    /**
     * 工作空间
     */
    @Value("${mygeoserverconfig.workspaces}")
    private String workspaces;
}