package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 流域bbox表
 * @TableName t_stream_bbox
 */
@TableName(value ="t_stream_bbox")
@Data
public class StreamBbox implements Serializable {
    /**
     * 流域代码
     */
    @TableField(value = "stream_cod")
    private String streamCod;

    /**
     * 流域bbox（范围）
     */
    @TableField(value = "stream_bbox")
    private String streamBbox;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}