package com.cuit.solarenergy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 采样指标表
 * @TableName t_sampling_index
 */
@TableName(value ="t_sampling_index")
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "TSamplingIndex对象",description = "采样指标表")
public class TSamplingIndex implements Serializable {

    @ApiModelProperty("编号")
    @TableId(value = "code")
    private String code;

    @TableField(value = "name")
    private String name;

    @ApiModelProperty("单位")
    @TableField(value = "unit")
    private String unit;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}