package com.cuit.solarenergy.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Tjb
 * @CreateTime: 2023-07-06  10:53
 * @Description: 数据管理模块返回类/数据管理模块返回类编辑参数类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "数据管理模块返回类/数据管理模块返回类编辑参数类")
public class DataManageUpdateVoReq {
    @ApiModelProperty("参数id")
    private Integer id;
    @ApiModelProperty("参数名")
    private String indexCode;
    @ApiModelProperty(value = "参数值")
    private Double params;
}
