package com.cuit.solarenergy.entity.vo.req;

import com.cuit.solarenergy.base.BasePageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Tjb
 * @CreateTime: 2023-07-06  10:38
 * @Description: 流域查询接口请求参数类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "流域查询接口请求参数类")
public class StreamListGetVoReq extends BasePageQuery {
    @ApiModelProperty(value = "河流代码",required = false)
    private String streamCode;

    @ApiModelProperty(value = "关键词",required = false)
    private String keywords;
}
