package com.cuit.solarenergy.entity.vo.ret;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @BelongsProject: railway
 * @BelongsPackage: com.cuit.solarenergy.entity.vo.ret
 * @Author: Luolw
 * @Date: 2023/7/17 20:54
 * @Description:
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(description = "数据管理模块根据流域获取所有站点参数类")
public class DataSiteByStreamRet {
    @ApiModelProperty(value = "流域名称")
    private String streamNumber;

    @ApiModelProperty(value = "流域下的所有站点")
    private List<String> allSiteList;

}
