package com.cuit.solarenergy.entity.vo.ret;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: Tjb
 * @CreateTime: 2023-06-19  16:29
 * @Description: TODO
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "SiteAndValueVoRet", description = "流域站点水质参数统计返回类")
@Builder
public class SiteAndValueVoRet implements Serializable {

    @ApiModelProperty("站点id")
    private String siteId;

    @ApiModelProperty("指标值")
    private Double indexValue;
}
