package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.StreamBbox;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author PYJ
* @description 针对表【t_stream_bbox(流域bbox表)】的数据库操作Mapper
* @createDate 2023-08-06 16:54:19
* @Entity com.cuit.solarenergy.entity.StreamBbox
*/
@Mapper
public interface StreamBboxMapper extends BaseMapper<StreamBbox> {

    /**
     *
     * 获取流域bbox
     */
    List<String> getStreamBbox(List<String> streamCodes);
}




