package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.TDictData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author PYJ
* @description 针对表【t_dict_data(字典表)】的数据库操作Mapper
* @createDate 2023-06-08 11:37:12
* @Entity com.cuit.solarenergy.entity.TDictData
*/
@Mapper
public interface TDictDataMapper extends BaseMapper<TDictData> {

    /**
     *方法功能：获取原始影像数据集的集合
     *
     * @param
     * @date 2023/7/4 9:58
     * @author Tjb
     * @return
     */
    List<String> getOriginalDataSet();

    List<String> getAllSiteLocation();

    List<Double> getAllSiteDistance();
}




