package com.cuit.solarenergy.minio;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * @author Zmg
 * @date 2022-6-18 15:06
 */

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
@ApiModel(value = "AppendixInfo", description = "通用附件返回类")
public class MinioInfo {

    @ApiModelProperty("附件id")
    private Integer attachmentId;

    @ApiModelProperty("附件名称")
    private String fileName;

    @ApiModelProperty("附件类型")
    private String fileType;

    @ApiModelProperty("附件大小")
    private String fileSize;

    @ApiModelProperty("附件存放地址")
    private String fileUrl;

    @ApiModelProperty("压缩图片存放地址")
    private String compressFileUrl;
}