package com.cuit.solarenergy.vo;

import cn.hutool.core.date.DateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * @BelongsProject: railway
 * @BelongsPackage: com.cuit.solarenergy.vo
 * @Author: Luolw
 * @Date: 2023/6/20 11:50
 * @Description:
 */

@ApiModel(description = "数据管理返回类")
@AllArgsConstructor
@NoArgsConstructor
@Data
@Getter
@Setter
public class WaterIndicatorsQuery {
    @ApiModelProperty("采样点")
    private String siteId;
    @ApiModelProperty("录入时间")
    private DateTime createTime;
    @ApiModelProperty("采样时间")
    private DateTime entryTime;
    @ApiModelProperty("水质参数名称")
    private String codeName;

}


