package com.cuit.solarenergy.vo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "UserParam", description = "用户新增/编辑参数类")
public class UserParam {

    @ApiModelProperty("(登录帐号)")
    private String account;

    @ApiModelProperty("名称（姓名）")
    private String name;

    @ApiModelProperty("绑定手机号码")
    private String tel;

    @ApiModelProperty("密码")
    private String password;
}
