package com.cuit.solarenergy.vo.user;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 登录用户基本信息
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LoginUser {

    @ApiModelProperty("用户id")
    private int id;
    
    @ApiModelProperty("登录账号")
    private String loginname;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("电话")
    private String tel;

    @ApiModelProperty("是否需要改密标志")
    private boolean passChange;
}
