package com.cuit.solarenergy.entity.vo.ret;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @BelongsProject: railway
 * @BelongsPackage: com.cuit.solarenergy.entity.vo.ret
 * @Author: Luolw
 * @Date: 2023/7/17 15:55
 * @Description:
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "统计分析模块所有站点经纬度返回类")
public class DataBaseSeparation {
    @ApiModelProperty("站点名称")
    private String stationNo;
    @ApiModelProperty("距离")
    private Double distance;
}
