package com.cuit.solarenergy.entity.vo.ret;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @BelongsProject: railway
 * @BelongsPackage: com.cuit.solarenergy.entity.vo.ret
 * @Author: Luolw
 * @Date: 2023/7/18 10:24
 * @Description:
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "数据管理模块根据流域获取所有站点参数类")
public class DataSiteTree {


    @ApiModelProperty(value = "类型")
    private String Type;


    @ApiModelProperty(value = "节点名称")
    private String Label;

    @ApiModelProperty(value = "站点名称")
    private List<DataSiteTree> children;
}
