package com.cuit.solarenergy.entity.vo.ret;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Tjb
 * @CreateTime: 2023-08-03  15:03
 * @Description: 无人机监测模块原始影像返回类
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DetectionInvRet {

    /**
     *
     * geoserverId
     */
    private Long geoId;
    /**
     *
     * 缩略图URL
     */
    private String PngMinioId;
    /**
     *
     * 流域名称
     */
    private String streamName;
    /**
     *
     * 数据日期
     */
    private String registerTime;
    /**
     *
     * 反演指标
     */
    private String indexName;
    /**
     *
     * 最大值
     */
    private String maxNumber;
    /**
     *
     * 最小值
     */
    private String minNumber;
    /**
     *
     * 平均值
     */
    private String avgNumber;
    /**
     *
     * 四个边界点坐标
     */
    private String bbox;
    /**
     *
     * geoServerURL
     */
    private String geoServerURL;
    /**
     *
     * minioURL
     */
    private String minioURL;

}
