package com.cuit.solarenergy.entity.vo.ret;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: Tjb
 * @CreateTime: 2023-06-19  16:29
 * @Description: TODO
 * @Version: 1.0
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "YearAndCountVoRet", description = "月份统计返回类")
@Builder
public class MonthAndCountVoRet implements Serializable {

    @ApiModelProperty("月份")
    private Integer month;

    @ApiModelProperty("个数")
    private Integer count;
}
