package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.SatelliteSendData;
import com.cuit.solarenergy.entity.vo.ret.MonitorGeoURLAndBboxVoRet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author cuitg
* @description 针对表【t_satellite_send_data(卫星遥感数据发布表)】的数据库操作Mapper
* @createDate 2023-08-07 09:26:51
* @Entity com.cuit.solarenergy.entity.SatelliteSendData
*/
@Mapper
public interface SatelliteSendDataMapper extends BaseMapper<SatelliteSendData> {
    List<MonitorGeoURLAndBboxVoRet> selectByStreamCodeDataCode(@Param("streamCode")String streamCode, @Param("dataCode")String dataCode);
}




