package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.UavInvData;
import com.cuit.solarenergy.entity.vo.ret.MonthAndCountVoRet;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author cuitg
* @description 针对表【t_uav_inv_data(无人机反演数据集)】的数据库操作Mapper
* @createDate 2023-08-07 13:20:47
* @Entity com.cuit.solarenergy.entity.UavInvData
*/
@Mapper
public interface UavInvDataMapper extends BaseMapper<UavInvData> {

    List<MonthAndCountVoRet> getCountOfUAV(String streamName);
}




