package com.cuit.solarenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.UavSendData;
import com.cuit.solarenergy.entity.vo.ret.MonitorGeoURLAndBboxVoRet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author cuitg
* @description 针对表【t_uav_send_data(无人机数据发布表)】的数据库操作Mapper
* @createDate 2023-08-07 09:35:06
* @Entity com.cuit.solarenergy.entity.UavSendData
*/
@Mapper
public interface UavSendDataMapper extends BaseMapper<UavSendData> {
    List<MonitorGeoURLAndBboxVoRet> selectByStreamCodeDataCode(@Param("streamCode")String streamCode, @Param("dataCode")String dataCode);
}




