package com.cuit.solarenergy.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.solarenergy.entity.User;
import com.cuit.solarenergy.entity.vo.req.UserUpdateVoReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;

@Mapper
public interface UserMapper extends BaseMapper<User> {
    /**
     *
     * 获取用户角色list
     */
    ArrayList<String> getUserRole();

    /**
     *
     * 系统管理-用户管理-更新用户信息
     */
    int updateUser(@Param("userUpdateVoReq") UserUpdateVoReq userUpdateVoReq);
}