package com.cuit.solarenergy.service;

/**
 * 序列相关
 * 可以使用
* @author cuitg
* @description 针对表【ts_sys_log】的数据库操作Service
* @createDate 2023-04-12 00:00:37
*/
public interface SequenceService {

    /**
     * 设置序列名称
     * @param typeName
     */
    public void setTypeName(String typeName);
    /**
     * 取当前序列值
     * @return
     */
    Long getCurrval();
    /**
     * 取下一序列值
     * @return
     */
    Long getNextval();
    /**
     * 取上一序列值
     * @return
     */
    Long getPreval();
}
