package com.cuit.solarenergy.utils;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * @Description 常用常量类
 */
public final class Constant {
    public final static int LOGINERRORMAXNUM = 5;

    public final static int CHANGPASSWORDDAYS = 365;
    /**
     * 登录次数超限后系统锁定时间 秒
     */
    public final static int LOCKSYSTIME = 60 * 10;
    //缺省站号
    public final static String DEFSTATION = "56288";


    /**
     * redis存储token设置的过期时间 暂设2小时
     */
    public static final Integer TOKEN_EXPIRE_TIME = 60 * 60 * 2;

    /**
     * 设置可以重置token过期时间的时间界限 //暂设为1小时
     */
    public static final Integer TOKEN_RESET_TIME = 60 * 60;
    /**
     * 存放鉴权信息的Header名称，默认是Authorization
     */
    public static final String HTTPTOKENHEADERNAME = "token";

    /**
     *
     * 无人机原始数据列表
     */
    public static Map<String, String> getUavOrgTableHead() {
        Map<String, String> map = new LinkedHashMap<>();
        map.put("pngMinioId", "缩略图");
        map.put("streamName", "流域");
        map.put("registerTime", "数据日期");
        return map;
    }

    /**
     *
     * 无人机反演数据列表
     */
    public static Map<String, String> getUavInvTableHead() {
        Map<String, String> map = new LinkedHashMap<>();
        map.put("pngMinioId", "缩略图");
        map.put("streamName", "流域");
        map.put("registerTime", "数据日期");
        map.put("indexName", "反演指标");
        map.put("maxNumber", "最大值");
        map.put("minNumber", "最小值");
        map.put("avgNumber", "平均值");
        return map;
    }


    /**
     *
     * 无人机原始数据列表
     */
    public static Map<String, String> getMultiRSOrgTableHead() {
        Map<String, String> map = new LinkedHashMap<>();
        map.put("pngMinioId", "缩略图");
        map.put("streamName", "流域");
        map.put("registerTime", "数据日期");
        return map;
    }

    /**
     *
     * 无人机反演数据列表
     */
    public static Map<String, String> getMultiRSInvTableHead() {
        Map<String, String> map = new LinkedHashMap<>();
        map.put("pngMinioId", "缩略图");
        map.put("streamName", "流域");
        map.put("registerTime", "数据日期");
        map.put("indexName", "反演指标");
        map.put("maxNumber", "最大值");
        map.put("minNumber", "最小值");
        map.put("avgNumber", "平均值");
        return map;
    }

}
